Bug 288671 - SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "unix_read unix_write" to <Unknown> (wine_t).
SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "unix_read unix_write" to...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 19:28 EDT by Antonio A. Olivares
Modified: 2008-01-30 14:06 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:06:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio A. Olivares 2007-09-12 19:28:02 EDT
Description of problem:
When starting wine, selinux troubleshooter appears

Version-Release number of selected component (if applicable):


How reproducible:  Fire up wine with an application


Steps to Reproduce:
1.  start application
2.  when starting up setroubleshooter fires up
3.
  
Actual results:

selinux report here:  

Summary
    SELinux is preventing /usr/bin/Xorg (xdm_xserver_t) "unix_read unix_write"
    to <Unknown> (wine_t).

Detailed Description
    SELinux denied access requested by /usr/bin/Xorg. It is not expected that
    this access is required by /usr/bin/Xorg and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:xdm_xserver_t:SystemLow-
                              SystemHigh
Target Context                system_u:system_r:wine_t
Target Objects                None [ shm ]
Affected RPM Packages         xorg-x11-server-Xorg-1.3.0.0-23.fc8 [application]
Policy RPM                    selinux-policy-3.0.7-10.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost
Platform                      Linux localhost 2.6.23-0.174.rc6.fc8 #1 SMP Tue
                              Sep 11 19:06:17 EDT 2007 i686 athlon
Alert Count                   4
First Seen                    Wed 12 Sep 2007 08:10:49 AM CDT
Last Seen                     Wed 12 Sep 2007 06:23:24 PM CDT
Local ID                      8b5115b9-d7d8-40de-8f2b-5ffb7e7ecfb7
Line Numbers                  

Raw Audit Messages            

avc: denied { unix_read, unix_write } for comm=X egid=0 euid=0 exe=/usr/bin/Xorg
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=2447
scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 suid=0 tclass=shm
tcontext=system_u:system_r:wine_t:s0 tty=tty7 uid=0




Expected results:  wine working without problems


Additional info:  upon request
Comment 1 Adam Jackson 2007-09-27 16:48:25 EDT
Not an X bug.
Comment 2 Daniel Walsh 2007-09-28 08:57:56 EDT
Fixed in selinux-policy-3.0.8-13.fc8.src.rpm
Comment 3 Daniel Walsh 2008-01-30 14:06:26 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.